

//*************************************************************************************************
//							1.Контроллер типа_STM32F746G_DISCOVERY
//*************************************************************************************************
#if !defined(RT_HW_BOARD_CODE) && (defined(RT_HW_BOARD_STM32F746G_DISCOVERY))	
#define RT_HW_BOARD_CODE				   RT_HW_BOARD_STM32F746G_DISCOVERY_ID	//--Идентификация платы;  
#define RT_HW_BOARD_NAME		                      "STM32F746G_DISCOVERY"	//--Наименование платы;
//------Параметры контроллера общие-------------------------------------------------------------------	
enum{RT_HW_PIN_QNT_MAX=26,	RT_HW_FCPU=216, 		RT_HW_VCC=3300};
enum{RT_HW_MEM_ROM=1000,  	RT_HW_MEM_RAM=340, 	RT_HW_MEM_EEPROM=0, RT_HW_MEM_RTC=4, RT_HW_MEM_EXT_RAM=0};
//-----Параметры i2c-------------------------------------------------------------------------------	
#define RT_HW_PERMIT_UART0
#define RT_HW_PERMIT_UART1
//#define RT_HW_PERMIT_UART2
//#define RT_HW_PERMIT_UART3
#define RT_HW_PERMIT_UART4
//#define RT_HW_PERMIT_UART5
#define RT_HW_PERMIT_UART6
#define RT_HW_PERMIT_UART7
#define RT_HW_PERMIT_I2C0
//#define RT_HW_PERMIT_I2C1
#define RT_HW_PERMIT_CAN
#define RT_HW_PERMIT_SPI0
#define RT_HW_PERMIT_SPI1
//-----Системные параметры-------------------------------------------------------------------------
RT_HW_BUILD_INT8_PGM(RT_HW_PGM_SYS_PAR) ={12,			   	RT_HW_PGM_END};  //--SYS->depth;
RT_HW_BUILD_INT8_PGM(RT_HW_PGM_SYS_ADC) ={12,4,3,			RT_HW_PGM_END};  //--ADC->depth,drift,null;
RT_HW_BUILD_INT8_PGM(RT_HW_PGM_SYS_TCH) ={  				RT_HW_PGM_END};  //--TCH->depth,drift,null; 
RT_HW_BUILD_INT8_PGM(RT_HW_PGM_SYS_PWM) ={16,10,			RT_HW_PGM_END};  //--PWM->depth,freq; 
RT_HW_BUILD_INT8_PGM(RT_HW_PGM_SYS_DAC) ={12,				RT_HW_PGM_END};  //--DAC->depth; 
//-----Системные пины и параметры коммуникаций------------------------------------------------------
RT_HW_BUILD_INT8_PGM(RT_HW_PGM_SYS_PIN) ={PC7,PI1,									RT_HW_PGM_END};  //--Пины->control,led; 
RT_HW_BUILD_INT8_PGM(RT_HW_PGM_PIN_I2C)	={PB9, PB8,									RT_HW_PGM_END}; //--SDA,SCL,Freq(2 байта); 
RT_HW_BUILD_INT8_PGM(RT_HW_PGM_PIN_SPI)	={												RT_HW_PGM_END}; //--SS,MOSI,MISO,SCK;  

RT_HW_BUILD_INT8_PGM(RT_HW_PGM_PIN_UHS)	={PA_12,PA_11, PA_10,PA9, -1, -1, PB_11,PB_10, -1,-1,  -1,-1, PC7,PC6, RT_HW_PGM_END};
RT_HW_BUILD_INT8_PGM(RT_HW_PGM_PIN_USS)	={				 							RT_HW_PGM_END};	
RT_HW_BUILD_INT8_PGM(RT_HW_PGM_PIN_CAN)	={ 							 		    	RT_HW_PGM_END};	
RT_HW_BUILD_INT8_PGM(RT_HW_PGM_PIN_BTH)	={				 							RT_HW_PGM_END};	
RT_HW_BUILD_INT8_PGM(RT_HW_PGM_PIN_ETH)	={											RT_HW_PGM_END};
RT_HW_BUILD_INT8_PGM(RT_HW_PGM_PIN_WFI)	={											RT_HW_PGM_END};
//-----Доступные пины контроллера------------------------------------------------------------------
RT_HW_BUILD_INT8_PGM(RT_HW_PGM_PIN_ALL)	={PA0, -1, -1, -1, -1, -1, -1, -1,PA8,PA9,  -1,  -1,  -1,  -1,  -1,PA15,  //PA 4
										   -1, -1, -1, -1,PB4, -1, -1,PB7,PB8,PB9,  -1,  -1,  -1,  -1,PB14,PB15,  //PB 6
										   -1, -1, -1, -1, -1, -1,PC6,PC7, -1, -1,  -1,  -1,  -1,PC13,  -1,  -1,  //PC 3
										   -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,  -1,  -1,  -1,  -1,  -1,  -1,  //PD 0
										   -1, -1, -1, -1, -1, -1, -1, -1, -1, -1,  -1,  -1,  -1,  -1,  -1,  -1,  //PE 0
										   -1, -1, -1, -1, -1, -1,PF6,PF7,PF8,PF9,PF10,  -1,  -1,  -1,  -1,  -1,  //PF 5
										   -1, -1, -1, -1, -1, -1,PG6,PG7, -1, -1,  -1,  -1,  -1,  -1,  -1,  -1,  //PG 2
										   -1, -1, -1, -1, -1, -1,PH6, -1, -1, -1,  -1,  -1,  -1,  -1,  -1,  -1,  //PH 1
										  PI0,PI1,PI2,PI3, -1, -1, -1, -1, -1, -1,  -1, PI11,  -1,  -1,  -1,  -1, //PI 5 
										  RT_HW_PGM_END};
RT_HW_BUILD_INT8_PGM(RT_HW_PGM_PIN_DIN)	={PA0,PA8,PA9,PA15,PB4,PB7,PB8,PB9,PB14,PB15,PC6,PC7,PC13,
										  PF6,PF7,PF8,PF9,PF10,PG6,PG7,PH6,
										  PI0,PI1,PI2,PI3,PI11,												RT_HW_PGM_END};
RT_HW_BUILD_INT8_PGM(RT_HW_PGM_PIN_ADC)	={PA0,PF6,PF7,PF8,PF9,PF10,											RT_HW_PGM_END};	
RT_HW_BUILD_INT8_PGM(RT_HW_PGM_PIN_TCH)	={						 											RT_HW_PGM_END};
RT_HW_BUILD_INT8_PGM(RT_HW_PGM_PIN_DOT)	={PA0,PA8,PA9,PA15,PB4,PB7,PB8,PB9,PB14,PB15,PC6,PC7,PC13,
										  PF6,PF7,PF8,PF9,PF10,PG6,PG7,PH6,
										  PI0,PI1,PI2,PI3,													RT_HW_PGM_END};
RT_HW_BUILD_INT8_PGM(RT_HW_PGM_PIN_PWM)	={PA0,PA8,PA9,PB4,PB8,PB9,											RT_HW_PGM_END};
RT_HW_BUILD_INT8_PGM(RT_HW_PGM_PIN_DAC)	={																	RT_HW_PGM_END};
RT_HW_BUILD_INT8_PGM(RT_HW_PGM_PIN_INT)	={PA0,PA8,PA9,PA15,PB4,PB7,PB8,PB9,PB14,PB15,PC6,PC7,PC13,
										  PF6,PF7,PF8,PF9,PF10,PG6,PG7,PH6,
										  PI0,PI1,PI2,PI3,													RT_HW_PGM_END};
RT_HW_BUILD_INT8_PGM(RT_HW_PGM_PIN_N5V)	={																	RT_HW_PGM_END};	
//-----Тестовые пины и адреса------------------------------------------------------------------------
RT_HW_BUILD_INT8_PGM(RT_HW_PGM_PIN_DBG) ={						RT_HW_PGM_END};	// debug1,debug2,debug3;	
RT_HW_BUILD_INT8_PGM(RT_HW_PGM_PIN_OUT)	={-1, -1,-1,-1,			RT_HW_PGM_END};	// PWM0, PWM1, led, dev;
RT_HW_BUILD_INT8_PGM(RT_HW_PGM_PIN_INP)	={PA0, -1,PI11,			RT_HW_PGM_END};	// A0,   A1, btn1,btn2;
RT_HW_BUILD_INT8_PGM(RT_HW_PGM_PIN_DCT)	={         				RT_HW_PGM_END};	// DAC0,DAC1,TCH0;
RT_HW_BUILD_INT8_PGM(RT_HW_PGM_PIN_DEV)	={ 						RT_HW_PGM_END};	// DS1820,DHT22,HC-SR04
RT_HW_BUILD_INT8_PGM(RT_HW_PGM_PIN_CSS)	={						RT_HW_PGM_END};	// CS SPI:595,LCD,NRF,DEVl 	
RT_HW_BUILD_INT8_PGM(RT_HW_PGM_PIN_LC6) ={						RT_HW_PGM_END};	// Пины для подключения LCD по 4-х битной шине;
RT_HW_BUILD_INT8_PGM(RT_HW_PGM_PIN_SSP) ={						RT_HW_PGM_END};	// Пины программного SPI;	
RT_HW_BUILD_INT8_PGM(RT_HW_PGM_ADR_I2C) ={63,62,32,33,			RT_HW_PGM_END};	// lcd1,lcd2,mcp1,mcp2;
//-------------------------------------------------------------------------------------------------
#endif
/*----------------------------------------------------------------------------
 *        Pins
 *----------------------------------------------------------------------------*/
/*
#define PC7  0
#define PC6  1
#define PG6  2
#define PB4  3
#define PG7  4
#define PI0  5
#define PH6  6
#define PI3  7
#define PI2  8
#define PA15 9
#define PA8  10
#define PB15 11
#define PB14 12
#define PI1  13
#define PB9  14
#define PB8  15
#define PA0  16 // A0
#define PF10 17 // A1
#define PF9  18 // A2
#define PF8  19 // A3
#define PF7  20 // A4
#define PF6  21 // A5
#define PI11 22 // User btn
#define PB7  23 // ST-Link Rx
#define PA9  24 // ST-Link Tx
#define PC13 25 // SD detect

// This must be a literal
#define NUM_DIGITAL_PINS        26
// This must be a literal with a value less than or equal to to MAX_ANALOG_INPUTS
#define NUM_ANALOG_INPUTS       6
#define NUM_ANALOG_FIRST        16

// On-board LED pin number
#define LED_BUILTIN             13
#define LED_GREEN               LED_BUILTIN

// On-board user button
#define USER_BTN                PI11

// Timer Definitions
// Use TIM6/TIM7 when possible as servo and tone don't need GPIO output pin
#define TIMER_TONE              TIM6
#define TIMER_SERVO             TIM7

// UART Definitions
#define SERIAL_UART_INSTANCE    1 //Connected to ST-Link
// Default pin used for 'Serial' instance (ex: ST-Link)
// Mandatory for Firmata
#define PIN_SERIAL_RX           PB7
#define PIN_SERIAL_TX           PA9

// SD detect signal
#define SD_DETECT_PIN           PC13
//=================================================================================================
*/